Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class ExtensionLogger

    java.lang.Object
      org.modeshape.jcr.ExtensionLogger

All Implemented Interfaces:
  Logger

    public final class ExtensionLogger

extends Object
implements Logger

Implementation of the `Logger` interface which delegates the logging operations to an I18n based `Logger` implementation, using pass-through I18n objects. This is implementation should be normally used by ModeShape extensions, to avoid coupling with the I18n objects and the -common module.

Author:
  Horia Chiorean

Method Summary
`void` | `debug(String message, Object... params)` Log a message at the DEBUG level according to the specified format and (optional) parameters.
`void` | `debug(Throwable t, String message, Object... params)` Log an exception (throwable) at the DEBUG level with an accompanying message.
`void` | `error(String message, Object... params)` Log a message at the ERROR level according to the specified format and (optional) parameters.
`void` | `error(Throwable t, String message, Object... params)` Log an exception (throwable) at the ERROR level with an accompanying message.
`static Logger` | `getLogger(Class<?> clazz)`
`void` | `info(String message, Object... params)` Log a message at the INFO level according to the specified format and (optional) parameters.
`void` | `info(Throwable t, String message, Object... params)` Log an exception (throwable) at the INFO level with an accompanying message.
`void` | `trace(String message, Object... params)` Log a message at the TRACE level according to the specified format and (optional) parameters.
`void` | `trace(Throwable t, String message, Object... params)` Log an exception (throwable) at the TRACE level with an accompanying message.
`void` | `warn(String message, Object... params)` Log a message at the WARNING level according to the specified format and (optional) parameters.
`void` | `warn(Throwable t, String message, Object... params)` Log an exception (throwable) at the WARNING level with an accompanying message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogger

    public static Logger getLogger(Class<?> clazz)

### debug

    public void debug(String message,
                      Object... params)

  Description copied from interface: `Logger`
  Log a message at the DEBUG level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

  If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### debug

    public void debug(Throwable t,
                      String message,
                      Object... params)

  Description copied from interface: `Logger`
  Log an exception (throwable) at the DEBUG level with an accompanying message. If the exception is null, then this method calls `Logger.debug(String, Object...)`.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### error

    public void error(String message,
                      Object... params)

  Description copied from interface: `Logger`
  Log a message at the ERROR level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

  If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### error

    public void error(Throwable t,
                      String message,
                      Object... params)

  Description copied from interface: `Logger`
  Log an exception (throwable) at the ERROR level with an accompanying message. If the exception is null, then this method calls `Logger.error(String, Object...)`.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### info

    public void info(String message,
                     Object... params)

  Description copied from interface: `Logger`
  Log a message at the INFO level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

  If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### info

    public void info(Throwable t,
                     String message,
                     Object... params)

  Description copied from interface: `Logger`
  Log an exception (throwable) at the INFO level with an accompanying message. If the exception is null, then this method calls `Logger.info(String, Object...)`.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### trace

    public void trace(String message,
                      Object... params)

  Description copied from interface: `Logger`
  Log a message at the TRACE level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

  If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

  Specified by:
    `trace` in interface `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### trace

    public void trace(Throwable t,
                      String message,
                      Object... params)

  Description copied from interface: `Logger`
  Log an exception (throwable) at the TRACE level with an accompanying message. If the exception is null, then this method calls `Logger.trace(String, Object...)`.

  Specified by:
    `trace` in interface `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

### warn

    public void warn(String message,
                     Object... params)

  Description copied from interface: `Logger`
  Log a message at the WARNING level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

  If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - the message string
    `params` - the parameter values that are to replace the variables in the format string

### warn

    public void warn(Throwable t,
                     String message,
                     Object... params)

  Description copied from interface: `Logger`
  Log an exception (throwable) at the WARNING level with an accompanying message. If the exception is null, then this method calls `Logger.warn(String, Object...)`.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `t` - the exception (throwable) to log
    `message` - the message accompanying the exception
    `params` - the parameter values that are to replace the variables in the format string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.